-- MySQL dump 10.10
--

CREATE DATABASE IF NOT EXISTS `opmon4`;
USE `opmon4`;

CREATE TABLE IF NOT EXISTS `interface_shortcut_names` (
  `id` int(11) NOT NULL auto_increment,
  `shortcut_name` varchar(64) NOT NULL,
  PRIMARY KEY(`id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (1,'statusgrid');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (2,'extinfo_host');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (3,'extinfo_service');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (4,'extinfo_hostgroup');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (5,'extinfo_servicegroup');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (6,'statusgrid_notifications');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (7,'systemdashboard');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (8,'opcfg');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (999,'none');

INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (9,'statusgrid_hosts');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (10,'statusgrid_services');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (11,'statusgrid_downtimes');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (12,'statusgrid_comments');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (13,'statusgrid_scheduled_queue');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (14,'statusgrid_notification');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (15,'statusgrid_eventlog');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (16,'traffic');
INSERT INTO `interface_shortcut_names` (`id`, `shortcut_name`) VALUES (18,'statusgrid_networkoutage');

CREATE TABLE IF NOT EXISTS `interface_shortcut_items` (
  `id` int(11) NOT NULL auto_increment,
  `parent` int(11) NOT NULL default 0,
  `shortcut_id` int(11) NOT NULL,
  `item_name` varchar(80) NOT NULL,
  `link` text default NULL,
  `system` int(11) NOT NULL default '0',
  PRIMARY KEY(`id`),
  UNIQUE (`item_name`,`shortcut_id`,`parent`)
) DEFAULT CHARSET=utf8;

-- Clean system shortcuts --
-- DELETE FROM interface_shortcut_items WHERE system = 1; --

-- Remove old CMDB shortcut
DELETE FROM `interface_shortcut_items` WHERE `system` = 1 and `item_name` = 'CMDB';
DELETE FROM `interface_shortcut_items` WHERE `system` = 1 and `item_name` = 'Acks OR downtimes';

-- Add field and fix index
ALTER TABLE interface_shortcut_items ADD COLUMN pos int(11) DEFAULT 1;
ALTER TABLE interface_shortcut_items DROP INDEX item_name;
ALTER TABLE interface_shortcut_items ADD UNIQUE KEY item_name (item_name, shortcut_id, parent);

-- remove old shortcut entry
DELETE FROM `interface_shortcut_items` WHERE `shortcut_id` = 999;
-- None --
INSERT INTO `interface_shortcut_items` ( `parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,999,'(No shortcuts found)',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid --
INSERT INTO `interface_shortcut_items` ( `parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,1,'Incidents',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` ( `parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Services','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|state_type;0|state_type;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Services with ack','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Hosts','/opmon/seagull/www/index.php/statusgrid/action/hosts/?useFilter=1&filterString=current_state;1|current_state;2&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Hosts with ack','/opmon/seagull/www/index.php/statusgrid/action/hosts/?useFilter=1&filterString=current_state;1|current_state;2|problem_has_been_acknowledged;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Pendings',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'All','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;0|scheduled_downtime_depth;0|active_checks_enabled;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Hard State','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;0|scheduled_downtime_depth;0|state_type;1|active_checks_enabled;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,1,'Soft State','/opmon/seagull/www/index.php/statusgrid/action/services/?useFilter=1&filterString=current_state;1|current_state;2|current_state;3|problem_has_been_acknowledged;0|scheduled_downtime_depth;0|state_type;0|active_checks_enabled;1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Extinfo host --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Notifications','/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Alert history','/opmon/seagull/www/index.php/statusgrid/action/eventlog/?searchPanel=1&filter[data]=HOST ALERT: $USER2$;',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','reportType':1,'selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','timeCutId':'100','selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link = "/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','timeCutId':'100','selectedItens':[{'id':'$USER1$', 'hostname':'$USER2$'}]}" WHERE item_name = 'Capacity/Performance' AND shortcut_id = 2;
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Extras',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Documentations','/opmon/seagull/www/index.php/opsubscriber/action/docsubscriber/?host_id=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Configurations','/opmon/opcfg/?formTo=HOST_ID:$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,2,'Commands',NULL,0) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Ping','/opmon/nettools/nettools.php?host=$USER3$&ping=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Traceroute','/opmon/nettools/nettools.php?host=$USER3$&trace=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,2,'Portscan','/opmon/nettools/nettools.php?host=$USER3$&portscan=1&ports=22,23,25,80,443',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Extinfo service --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Host information','/opmon/seagull/www/index.php/extinfo/action/host/host_id/$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER3$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Notifications','/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER3$&filter[service_id]=$USER2$&filter[service_description]=$USER4$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Alert history','/opmon/seagull/www/index.php/statusgrid/action/eventlog/?searchPanel=1&filter[data]=SERVICE ALERT: $USER3$;$USER4$;',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Services Catalog','/opmon/seagull/www/index.php/opsubscriber/action/scatsubscriber/scat_id/$USER5$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','reportType':1,'selectedItens':['$USER1$!$USER2$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','selectedItens':['$USER1$!$USER2$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link = "/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','selectedItens':[{ 'id': '$USER1$!$USER2$', 'hostname': '$USER3$', service_description: '$USER4$' }]}" WHERE item_name = 'Capacity/Performance' AND shortcut_id = 3;
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,3,'Extras',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Documentations','/opmon/seagull/www/index.php/opsubscriber/action/docsubscriber/?host_id=$USER1$&service_id=$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,3,'Configurations','/opmon/opcfg/?formTo=SERVICE_ID:$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id), link='/opmon/opcfg/?formTo=SERVICE_ID:$USER1$;$USER2$';


-- Extinfo hostgroup --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Host status','/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter[groups]=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

UPDATE `interface_shortcut_items` SET `link` = '/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter[groups]=$USER1$' WHERE item_name = 'Host status' AND shortcut_id = 4;

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[host_groups]=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

UPDATE `interface_shortcut_items` SET `link` = '/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[host_groups]=$USER1$' WHERE item_name = 'Service status' AND shortcut_id = 4;

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,4,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','reportType':1,'selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,4,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link = "/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','selectedItens':[{ 'id': '$USER1$', 'hostname': '$USER1$' }]}" WHERE item_name = 'Capacity/Performance' AND shortcut_id = 4;
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,4,'Configurations','/opmon/opcfg/?formTo=HOSTGROUP_ID:$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);


-- Extinfo servicegroup --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,5,'Service status','/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[groups]=$USER1$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

UPDATE `interface_shortcut_items` set `link` = '/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter[groups]=$USER1$' WHERE item_name = 'Service status' AND shortcut_id = 5;

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,5,'Reports',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,5,'Availability',"/opmon/seagull/www/index.php/opreports/action/index/?formTo=0&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','reportType':1,'selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,5,'Capacity/Performance',"/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','selectedItens':['$USER1$']}",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link = "/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','selectedItens':[{ 'id': '$USER1$', 'hostname': '$USER1$' }]}" WHERE item_name = 'Capacity/Performance' AND shortcut_id = 5;
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,5,'Configurations','/opmon/opcfg/?formTo=SERVICEGROUP_ID:$USER2$',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid notifications --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,6,'All','/opmon/seagull/www/index.php/statusgrid/action/notifications/?option=filterNotifications&notifications[string]=&showFilter=1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,6,'Only hosts','/opmon/seagull/www/index.php/statusgrid/action/notifications/?option=filterNotifications&notifications[service][uTable.service_id]=0&showFilter=1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,6,'Only services','/opmon/seagull/www/index.php/statusgrid/action/notifications/?option=filterNotifications&notifications[host][uTable.host_id]=0&showFilter=1&fromShortcut=1',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- System dashboard --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Tactical View','/opmon/seagull/www/index.php/systemdashboard/action/index/state/tac',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Overview','/opmon/seagull/www/index.php/systemdashboard/action/index/state/overview',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Incidents','/opmon/seagull/www/index.php/systemdashboard/action/index/state/incidents',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Hosts','/opmon/seagull/www/index.php/systemdashboard/action/index/state/hostgroups',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Services','/opmon/seagull/www/index.php/systemdashboard/action/index/state/servicegroups',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Services Catalog','/opmon/seagull/www/index.php/systemdashboard/action/index/state/scats',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,7,'Scheduled downtimes','/opmon/seagull/www/index.php/systemdashboard/action/index/state/scheduleddowntimes',1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);


-- OpCfg --
DELETE FROM `interface_shortcut_items` WHERE `shortcut_id` = 8;

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Monitoring",NULL,1,1);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Hosts",'/opmon/opcfg/?formTo=hosts.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Templates",'/opmon/opcfg/?formTo=templates.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_HostGroups",'/opmon/opcfg/?formTo=hostgroups.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_ServiceGroups",'/opmon/opcfg/?formTo=servicegroups.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Commands",'/opmon/opcfg/?formTo=commands.php',1,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Alerting",NULL,1,2);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Contacts",'/opmon/opcfg/?formTo=contacts.php',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_ContactGroups",'/opmon/opcfg/?formTo=contactgroups.php',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Baselines",'/opmon/seagull/modules/baseline/templates/app.php?',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_TimePeriods",'/opmon/opcfg/?formTo=timeperiods.php',1,2) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Discovery",NULL,1,3);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_DiscoveryImport",'/opmon/seagull/modules/discovery/templates/ext/app.php?',1,3) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Topology",'/opmon/seagull/www/index.php/opdashboard/action/showtopology/discovery/1',1,3) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Tools",NULL,1,4);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Export",'/opmon/opcfg/?formTo=new_export.php',1,4) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Objects Spreadsheet",'/opmon/opcfg/?formTo=objects.php',1,4) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (0,8,"OPCFG_Advanced",NULL,1,5);
SET @INNER_PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_MainConfig",'/opmon/opcfg/?formTo=main.php',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_CGIConfig",'/opmon/opcfg/?formTo=cgi.php',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OPCFG_Resources",'/opmon/opcfg/?formTo=resources.php',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Timecut",'/opmon/seagull/www/index.php/opsubscriber/action/timecut',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"Qualitor integration",'/opmon/opcfg/qualitor/interface/index.php?',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`, `pos`) VALUES (@INNER_PARENT_ID,8,"OTRS integration",'/opmon/opcfg/otrs/interface/index.php?',1,5) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO opmon4.interface_shortcut_items (id, parent, shortcut_id, item_name, link, system, pos) VALUES (294, @INNER_PARENT_ID, 8, 'Colors', '/opmon/seagull/modules/workspace/templates/colors/index.html?', 1, 1);
UPDATE opmon4.interface_shortcut_items set item_name = 'Status Priority' WHERE id = 294;
UPDATE opmon4.interface_shortcut_items set link = '/opmon/seagull/modules/workspace/templates/colors/index.html?' WHERE id = 294;

-- Statusgrid - hosts  --
-- Default itens inside Incidents Hosts
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,9,'Incidents',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'All',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=3&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bdispla     y_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5     B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link='/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=3&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bdisplay_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1' WHERE shortcut_id=9 AND item_name='All';
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Acknowledge',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Downtimes',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Pendings',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_stat     us%5D%5B%5D=8&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link='/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1' WHERE shortcut_id=9 AND item_name='Pendings';

-- Default itens inside Views Hosts
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,9,'Views',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Simple',"/opmon/seagull/www/index.php/statusgrid/action/hosts/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'By group',"/opmon/seagull/www/index.php/statusgrid/action/hostgroups/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Services Catalog',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?filter[only_scats]=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,9,'Network Outages',"/opmon/seagull/www/index.php/statusgrid/action/networkoutages/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - services  --
-- Defaults itens inside folder Incidents for services
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,10,'Incidents',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'All',"/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=6&filter%5Bdisplay_status%5D%5B%5D=5&filter%5Bdis     play_status%5D%5B%5D=4&filter%5Bdisplay_status%5D%5B%5D=3&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bdisplay_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5     D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link='/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=6&filter%5Bdisplay_status%5D%5B%5D=5&filter%5Bdisplay_status%5D%5B%5D=4&filter%5Bdisplay_status%5D%5B%5D=3&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bdisplay_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1' WHERE shortcut_id=10 AND item_name='All';
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Acknowledge',"/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Downtimes',"/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Pendings',"/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bd     isplay_status%5D%5B%5D=3&filter%5Bdisplay_status%5D%5B%5D=4&filter%5Bdisplay_status%5D%5B%5D=5&filter%5Bdisplay_status%5D%5B%5D=6&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%     5Bnotifications_enabled%5D=&filter%5BpriorityOrder%5D%5B%5D=1&filter%5Bstatusgrid%5D=services&x=2&y=9",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET link='/opmon/seagull/www/index.php/statusgrid/action/services/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bservicegroup_name%5D=&filter%5Bdisplay_status%5D%5B%5D=3&filter%5Bdisplay_status%5D%5B%5D=4&filter%5Bdisplay_status%5D%5B%5D=5&filter%5Bdisplay_status%5D%5B%5D=6&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5BpriorityOrder%5D%5B%5D=1&filter%5Bstatusgrid%5D=services&x=2&y=9' WHERE shortcut_id=10 AND item_name='Pendings';
UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','timeCutId':'100','selectedItens':['$USER1$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'0','selectedItens':['$USER1$']}";
UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','selectedItens':['$USER1$!$USER2$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'1','selectedItens':['$USER1$!$USER2$']}";
UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','selectedItens':['$USER1$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'2','selectedItens':['$USER1$']}";
UPDATE `interface_shortcut_items` SET link="/opmon/seagull/modules/opreports/ng/app.php?formTo=1&manualMode={'reportType':'0','timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','selectedItens':['$USER1$']}" WHERE link="/opmon/seagull/www/index.php/opreports/action/index/?formTo=1&manualMode={'timeCutName':'24x7','reportPeriod':'last24hours','objectType':'3','selectedItens':['$USER1$']}";
-- Update older shortcuts from service statusgrid to the new format (with parameter "&filter%5Bstatusgrid%5D=services")
UPDATE interface_shortcut_items SET link = Concat(link, '&filter%5Bstatusgrid%5D=services') WHERE shortcut_id = (SELECT id FROM interface_shortcut_names WHERE shortcut_name = 'statusgrid_services' LIMIT 1) AND link LIKE '%search%' AND link NOT LIKE '%statusgrid%5D=services%';

-- Defaults itens inside folder Views for services
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,10,'Views',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Network Outages',"/opmon/seagull/www/index.php/statusgrid/action/networkoutages/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Simple',"/opmon/seagull/www/index.php/statusgrid/action/services/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'By group',"/opmon/seagull/www/index.php/statusgrid/action/servicegroups/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,10,'Services Catalog',"/opmon/seagull/www/index.php/statusgrid/action/services/?filter[only_scats]=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - networkoutage  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,18,'Views',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,18,'Simple',"/opmon/seagull/www/index.php/statusgrid/action/hosts/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,18,'By group',"/opmon/seagull/www/index.php/statusgrid/action/hostgroups/",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,18,'Services Catalog',"/opmon/seagull/www/index.php/statusgrid/action/services/?filter[only_scats]=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
-- Fix the link to Service catalogs inside network outages to the right link
UPDATE interface_shortcut_items set link = '/opmon/seagull/www/index.php/statusgrid/action/services/?filter[only_scats]=1' WHERE parent = @PARENT_ID AND shortcut_id = 18 AND item_name = 'Services Catalog';

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,18,'Incidents',NULL,1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
SET @PARENT_ID = LAST_INSERT_ID();
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,18,'All',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=3&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bdisplay_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,18,'Acknowledge',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=2&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,18,'Downtimes',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bdisplay_status%5D%5B%5D=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bstate_type%5D=&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (@PARENT_ID,18,'Pendings',"/opmon/seagull/www/index.php/statusgrid/action/hosts/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Baddress%5D=&filter%5Bplugin_output%5D=&filter%5Bhostgroup_name%5D=&filter%5Bdisplay_status%5D%5B%5D=7&filter%5Bdisplay_status%5D%5B%5D=8&filter%5Bstate_type%5D=1&filter%5Bactive_checks_enabled%5D=&filter%5Bnotifications_enabled%5D=&filter%5Bis_flapping%5D=&filter%5Bdocumentation%5D=&filter%5BpriorityOrder%5D%5B%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);


-- Statusgrid - downtimes  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,11,'Hosts',"/opmon/seagull/www/index.php/statusgrid/action/downtimes/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bend_time%5D=&filter%5Bobject_type%5D=0&filter%5Bfixed%5D=",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,11,'Services',"/opmon/seagull/www/index.php/statusgrid/action/downtimes/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bend_time%5D=&filter%5Bobject_type%5D=1&filter%5Bfixed%5D=",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - comments  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,12,'Hosts',"/opmon/seagull/www/index.php/statusgrid/action/comments/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bobject_type%5D=0",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,12,'Services',"/opmon/seagull/www/index.php/statusgrid/action/comments/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Bcomment_data%5D=&filter%5Bstart_time%5D=&filter%5Bobject_type%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - scheduled queue  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,13,'Active check',"/opmon/seagull/www/index.php/statusgrid/action/scheduledchecks/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Blast_check%5D=&filter%5Bnext_check%5D=&filter%5Bcheck_type%5D=0",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,13,'Passive check',"/opmon/seagull/www/index.php/statusgrid/action/scheduledchecks/?searchPanel=1&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Blast_check%5D=&filter%5Bnext_check%5D=&filter%5Bcheck_type%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - notifications  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,14,'Hosts',"/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter%5Blog_day%5D=&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Boutput%5D=&filter%5Bobject_type%5D=0",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,14,'Services',"/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter%5Blog_day%5D=&filter%5Bhost_name%5D=&filter%5Bservice_description%5D=&filter%5Bauthor_name%5D=&filter%5Boutput%5D=&filter%5Bobject_type%5D=1",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);

-- Statusgrid - eventlog  --
INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,15,'Alerts',"/opmon/seagull/www/index.php/statusgrid/action/eventlog/?filter[data]=ALERT",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET `link` = "/opmon/seagull/modules/workspace/templates/eventlog/?filters={%22class%22:[%221%22]}" WHERE `item_name` = 'Alerts' and shortcut_id = 15;

INSERT INTO `interface_shortcut_items` (`parent`, `shortcut_id`, `item_name`, `link`, `system`) VALUES (0,15,'Notifications',"/opmon/seagull/www/index.php/statusgrid/action/eventlog/?filter[data]=NOTIFICATION",1) ON DUPLICATE KEY UPDATE id=LAST_INSERT_ID(id);
UPDATE `interface_shortcut_items` SET `link` = "/opmon/seagull/modules/workspace/templates/eventlog/?filters={%22class%22:[%223%22]}" WHERE `item_name` = 'Notifications' and shortcut_id = 15;

UPDATE interface_shortcut_items SET link = '/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER2$' WHERE item_name = 'Notifications' AND shortcut_id=2;

UPDATE interface_shortcut_items SET link = '/opmon/seagull/www/index.php/statusgrid/action/notifications/?searchPanel=1&filter[host_id]=$USER1$&filter[host_name]=$USER3$&filter[service_id]=$USER2$&filter[service_description]=$USER4$' WHERE item_name = 'Notifications' AND shortcut_id=3;

UPDATE interface_shortcut_items SET link = '/opmon/seagull/www/index.php/opinterface/action/redirect/?initial_page=/opmon/seagull/www/index.php/statusgrid/action/eventlog/&filters={%22class%22:[%221%22],%22host_name%22:[%22$USER2$%22]}&page=1&start=0&limit=50' WHERE item_name = 'Alert history' AND shortcut_id=2;

UPDATE interface_shortcut_items SET link = '/opmon/seagull/www/index.php/opinterface/action/redirect/?initial_page=/opmon/seagull/www/index.php/statusgrid/action/eventlog/&filters={%22class%22:[%221%22],%22host_name%22:[%22$USER3$%22],%22service_description%22:[%22$USER4$%22]}&page=1&start=0&limit=50' WHERE item_name = 'Alert history' AND shortcut_id=3;

--
-- Bookmarks
--

CREATE TABLE `interface_user_favorites` (
    `id` int(11) NOT NULL AUTO_INCREMENT,
    `contact_id` int(11) NOT NULL,
    `name` varchar(128) NOT NULL,
    `link` text NOT NULL,
    PRIMARY KEY(`id`),
    UNIQUE (`name`,`contact_id`)
) DEFAULT CHARSET=utf8;

INSERT INTO `opcfg`.`colors` VALUES ('0', '#5fc861', 'OK', '1'),('1', '#0077a2', 'Scheduled downtime', '1'),('2', '#703b84', 'Acknowledged', '1'),('3', '#c69c6d', 'Flapping', '1'),('4', '#f4b925', 'Warning', '1'),('5', '#acacac', 'Unknown', '1'),('6', '#f97878', 'Critical', '1'),('7', '#e34849', 'Unreachable', '1'),('8', '#bf3641', 'Down', '1');
